## EXPORT_SPEC int UpnpWriteHttpPost

## ( IN void* handle,
IN char* buf,
IN unsigned int* size,
IN int timeout )

> UpnpWriteHttpPost sends a request to a server to copy the contents of a buffer to the URI specified in the UpnpOpenHttpPost call.

## Documentation

> UpnpWriteHttpPost sends a request to a server to copy the contents of a buffer to the URI specified in the UpnpOpenHttpPost call.

Parameters:
  handle - The handle of the connection created by the call to UpnpOpenHttpPost.
  buf - The buffer to be posted.
  size - The size, in bytes of buf.
  timeout - A timeout value sent with the request during which a response is expected from the server, failing which, an error is reported.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either handle, buf or size is not a valid pointer.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.

Alphabetic index

This page was generated with the help of DOC++.